package com.gyee.wisdom.dao.alarm;
import com.gyee.wisdom.common.data.alarm.Warning;
import com.gyee.wisdom.common.data.alarm.WarningClassify;
import com.gyee.wisdom.common.data.alarm.Warningfj;

import java.util.List;

public interface WarningDao {
    public List<Warning> findAll();
    public Warning findById(String id);
    public void  deletebyid(String id);
    public void save(Warning warning);
    public Warning findByprojectId(String id);
    public Warning findByEdnavalue(int ednavalue);

    public List<Warning> findByModelId(String modelid);
    public List<Warning> findByModelIdIn(String[] modelids);

    public List<WarningClassify> findAllWarningClassify();

    public List<Warning> findByIsReset(Integer isReset);

}
